#include <bits/stdc++.h>
using namespace std;

int n, k;
int brojevi[20005];

int main()
{
	scanf("%d %d", &n, &k);
	for (int i = 1; i <= n; ++i)
	{
		scanf("%d", &brojevi[i]);
	}
	brojevi[0] = brojevi[n];
	brojevi[n+1] = brojevi[1];
	for (int i = 1; i <= n; ++i)
	{
		if (brojevi[i] == k)
		{
			printf("%d\n", brojevi[i+1]);
			break;
		}
	}
	return 0;
}